Send a message
==============

This action allows you to send a message by providing the appropriate options

URL
---

`/api/v1/send/message`

Access
------

Must be authenticated as a server. If not authorised, a `AccessDenied` error will be returned.

Parameters
----------

| Parameter | Type | Default |
| --- | --- | --- |
| `to` | Array | null |
|_The e-mail addresses of the recipients (max 50)_| | |
| `cc` | Array | null |
|_The e-mail addresses of any CC contacts (max 50)_| | |
| `bcc` | Array | null |
|_The e-mail addresses of any BCC contacts (max 50)_| | |
| `from` | String | null |
|_The e-mail address for the From header_| | | 
| `sender` | String | null |
|_The e-mail address for the Sender header_ | | |
| `subject` | String | null |
|_The subject of the e-mail_| | |
| `tag` | String | null |
|_The tag of the e-mail_| | |
| `reply_to` | String | null |
|_Set the reply-to address for the mail_| | |
| `plain_body` | String | null |
|_The plain text body of the e-mail_| | | 
| `html_body` | String | null |
|_The HTML body of the e-mail_| | |
| `attachments` | Array | null |
|_An array of attachments for this e-mail_| | |
| `headers` | Hash | null |
|_A hash of additional headers_ | | |
| `bounce` | Boolean | null |
|_Is this message a bounce?_| | |


Errors
------

| Error | Attributes |
| --- | --- |
| `ValidationError` | `errors` |
| _The provided data was not sufficient to send an email_ | _A hash of error details_  |
| `NoRecipients` |  |
|_There are no recipients defined to received this message_| |
| `NoContent` |  |
|_There is no content defined for this e-mail_ | |
| `TooManyToAddresses` |  |
|_The maximum number of To addresses has been reached (maximum 50)_| |
| `TooManyCCAddresses` |  |
|_The maximum number of CC addresses has been reached (maximum 50)_| |
| `TooManyBCCAddresses` |  |
|_The maximum number of BCC addresses has been reached (maximum 50)_ | |
| `FromAddressMissing` |  |
|_The From address is missing and is required_| |
| `UnauthenticatedFromAddress` |  |
|_The From address is not authorised to send mail from this server_| |
| `AttachmentMissingName` |  |
|_An attachment is missing a name_ | |
| `AttachmentMissingData` |  |
|_An attachment is missing data_ | |


Response Data
-------------

This action will return a Hash.